Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyType

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyType

- All Implemented Interfaces and Traits:
    GroovyType

      public class SimpleGroovyType
      extends Object
      implements GroovyType

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyType(String typeName)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `isPrimitive()`
    `` | `public String` | `qualifiedTypeName()`
    `` | `public String` | `simpleTypeName()`
    `` | `public String` | `typeName()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public SimpleGroovyType(String typeName)

  - ### Method Detail

    - #### @Override
      public boolean isPrimitive()

    - #### @Override
      public String qualifiedTypeName()

    - #### @Override
      public String simpleTypeName()

    - #### @Override
      public String typeName()